@charset "utf-8";
/* ======================================================================
/* root
====================================================================== */
:root {
  --color-brand: #00a9c8;
  --color-white: #ffffff;
  --color-black: #000000;
  --color-gray: #f7f7f7;
  --color-navy: #141f3f;
  --color-yellow: #ffeb31;
  --color-orange: #ee713a;
}

/* ======================================================================
/* body
====================================================================== */
body {
  font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", "Noto Sans JP", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 16px;
  color: var(--color-black);
  text-align: justify;
  letter-spacing: 0.05em;
  line-height: 1.8;
}

@media screen and (width <= 768px) {
  body {
    font-size: 14px;
  }
}

/* ======================================================================
/* #container
====================================================================== */
#container {
  position: relative;
  inline-size: 500px;
  block-size: auto;
  margin-inline: auto;
  box-shadow: 0 0 30px 0px rgb(0 0 0 / 10%);
}

@media screen and (width <= 768px) {
  #container {
    inline-size: 100%;
  }
}

/* ======================================================================
/* .inner
====================================================================== */
.inner {
  max-inline-size: 100%;
  block-size: auto;
  margin: 0 auto;
  padding: 50px 15px;
}

@media screen and (width <= 768px) {
  .inner {
    inline-size: 100%;
    block-size: auto;
    padding: 30px 15px;
  }
}

/* ======================================================================
/* relative
====================================================================== */
.relative {
  position: relative;
}

/* ======================================================================
/* textCenter
====================================================================== */
.textCenter {
  text-align: center;
}

/* ======================================================================
/* #top
====================================================================== */
#top {
  position: relative;
  z-index: 0;

  & .scroll {
    z-index: 10;
    position: absolute;
    left: 50%;
    bottom: 10%;
    transform: translate(-50%, -10%);
    writing-mode: vertical-rl;
    color: var(--color-white);

    &::before {
      animation: scroll 2s infinite;
      background-color: var(--color-white);
      bottom: -115px;
      content: "";
      height: 100px;
      left: 0;
      margin: auto;
      position: absolute;
      right: 0;
      width: 2px;
    }
  }
}

@keyframes scroll {
  0% {
    transform: scale(1, 0);
    transform-origin: 0 0;
  }
  50% {
    transform: scale(1, 1);
    transform-origin: 0 0;
  }
  51% {
    transform: scale(1, 1);
    transform-origin: 0 100%;
  }
  100% {
    transform: scale(1, 0);
    transform-origin: 0 100%;
  }
}

/* ======================================================================
/* mapFrame
====================================================================== */
.mapFrame {
  position: absolute;
  bottom: 13%;
  left: 50%;
  transform: translate(-50%, -13%);
  max-inline-size: 100%;
  block-size: auto;

  & iframe {
    max-inline-size: 380px;
    block-size: 310px;
  }
}

@media screen and (width <= 768px) {
  .mapFrame {
    bottom: 16%;
    left: 50%;
    transform: translate(-50%, -16%);

    & iframe {
      max-inline-size: 260px;
      block-size: auto;
    }
  }
}

/* ======================================================================
/* Swiper
====================================================================== */
.swiper {
  position: relative;
  inline-size: 100%;
  block-size: 100%;
  margin-block-start: 50px;

  & .swiper-slide {
    inline-size: 100%;

    & img {
      inline-size: 92%;
      block-size: auto;
    }
  }

  & .swiper-button-prev {
    position: absolute;
    inset-block-start: 50%;
    inset-inline-start: 0;
    content: "";
    display: block;
    inline-size: 40px;
    block-size: 40px;
    background: url(../img/common/slidePrev.svg) center center / cover no-repeat;
  }

  & .swiper-button-next {
    inset-block-start: 50%;
    inset-inline-end: 0;
    content: "";
    display: block;
    inline-size: 40px;
    block-size: 40px;
    background: url(../img/common/slideNext.svg) center center / cover no-repeat;
  }
}

@media screen and (width <= 768px) {
  .swiper {
    position: relative;

    & .swiper-slide {
      inline-size: 100%;
    }

    & .swiper-button-next,
    & .swiper-button-prev {
      inline-size: 30px;
      block-size: 30px;
    }
  }
}
